Bug 1908940 - Skip TestKernelType test on OKD, adjust TestExtensions
Summary: Skip TestKernelType test on OKD, adjust TestExtensions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Vadim Rutkovsky
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1908648
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-18 01:28 UTC by OpenShift BugZilla Robot
Modified: 2021-03-02 04:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-02 04:48:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2311 0 None closed [release-4.6] Bug 1908940: [test] Skip TestKernelType on OKD 2021-02-19 03:44:49 UTC
Red Hat Product Errata RHBA-2021:0634 0 None None None 2021-03-02 04:48:28 UTC

Description OpenShift BugZilla Robot 2020-12-18 01:28:48 UTC
+++ This bug was initially created as a clone of Bug #1908648 +++

OKD doesn't have a real-time kernel, so okd-gcp-op test should skip it. TestExtensions doesn't automatically mix in `kernel-headers` RPM in OKD, so the test expected result needs to be updated too

Comment 5 Michael Nguyen 2021-02-22 13:53:31 UTC
These changes are to the tests that get run on OKD.  I verified that the commits are included in the registry.ci.openshift.org/origin/release:4.6.0-0.okd-2021-02-20-062247

Comment 7 errata-xmlrpc 2021-03-02 04:48:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.19 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0634


Note You need to log in before you can comment on or make changes to this bug.